<html>
<head>
<title></title>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/System.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DataSet.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/Control.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DBControl.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DBNavigator.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DBPageNavigator.js"></SCRIPT>
<SCRIPT language=JavaScript type="text/javascript" SRC="jcl/DBGrid.js"></SCRIPT>

</head><BODY onload='afterload();'>
</BODY>
</html>
<SCRIPT language=JavaScript type="text/javascript">

function afterload(){
    init();
}          


function init(){
    window.Span1=new Span();
    window.Span2=new Span();
    window.DBEdit1=new DBEdit();
    window.Span3=new Span();
    window.DBEdit2=new DBEdit();
    window.Span4=new Span();
    window.DBEdit3=new DBEdit();
    window.DataSet1=new DataSet();
    var Field1 = new Field("PRODUCT_ID","VARCHAR");
    var Field2 = new Field("PRODUCT_NAME","VARCHAR");
    var Field3 = new Field("PRODUCT_PRICE","REAL");
    var Field4 = new Field("PRODUCT_AREA","VARCHAR");
    window.DBGrid1=new DBGrid();
    var Column1 = new Column();
    var Column2 = new Column();
    var Column3 = new Column();
    window.DBNavigator1=new DBNavigator();
    window.DBPageNavigator1=new DBPageNavigator();
    Span1.Name='Span1';
    Span1.innerText='Simple by use resultset';
    Span1.style.height='24';
    Span1.style.width='289';
    Span1.style.position='absolute';
    Span1.style.left='200';
    Span1.style.top='21';
    Span1.style.fontSize='18';
    Span1.style.color='#003399';
    Span2.Name='Span2';
    Span2.innerText='NO.£º';
    Span2.style.height='21';
    Span2.style.width='75';
    Span2.style.position='absolute';
    Span2.style.left='11';
    Span2.style.top='76';
    DBEdit1.Name='DBEdit1';
    DBEdit1.value='DBEdit1';
    DBEdit1.style.height='25';
    DBEdit1.style.width='161';
    DBEdit1.style.position='absolute';
    DBEdit1.style.left='55';
    DBEdit1.style.top='73';
    DBEdit1.DataSet=DataSet1;
    DBEdit1.DataField='PRODUCT_ID';
    Span3.Name='Span3';
    Span3.innerText='Name£º';
    Span3.style.height='21';
    Span3.style.width='75';
    Span3.style.position='absolute';
    Span3.style.left='11';
    Span3.style.top='119';
    DBEdit2.Name='DBEdit2';
    DBEdit2.value='DBEdit1';
    DBEdit2.style.height='25';
    DBEdit2.style.width='162';
    DBEdit2.style.position='absolute';
    DBEdit2.style.left='55';
    DBEdit2.style.top='112';
    DBEdit2.DataSet=DataSet1;
    DBEdit2.DataField='PRODUCT_NAME';
    Span4.Name='Span4';
    Span4.innerText='Price£º';
    Span4.style.height='21';
    Span4.style.width='75';
    Span4.style.position='absolute';
    Span4.style.left='261';
    Span4.style.top='115';
    DBEdit3.Name='DBEdit3';
    DBEdit3.value='DBEdit1';
    DBEdit3.style.height='25';
    DBEdit3.style.width='160';
    DBEdit3.style.position='absolute';
    DBEdit3.style.left='307';
    DBEdit3.style.top='112';
    DBEdit3.DataSet=DataSet1;
    DBEdit3.DataField='PRODUCT_PRICE';
    DataSet1.Name='DataSet1';
    DataSet1.Fields.Add(Field1);
    DataSet1.Fields.Add(Field2);
    DataSet1.Fields.Add(Field3);
    DataSet1.Fields.Add(Field4);
    DataSet1.Fields.Auto = false;
    DataSet1.MaxRows=10;
    DataSet1.DataSource='demo.Simple_ResultSet';
    Field1.Name='Field1';
    Field1.Type='VARCHAR';
    Field1.FieldName='PRODUCT_ID';
    Field2.Name='Field2';
    Field2.Type='VARCHAR';
    Field2.FieldName='PRODUCT_NAME';
    Field3.Name='Field3';
    Field3.Type='REAL';
    Field3.FieldName='PRODUCT_PRICE';
    Field3.DisplayFormat='$0.00';
    Field4.Name='Field4';
    Field4.Type='VARCHAR';
    Field4.FieldName='PRODUCT_AREA';
    DBGrid1.Name='DBGrid1';
    DBGrid1.style.height='256';
    DBGrid1.style.width='656';
    DBGrid1.style.position='absolute';
    DBGrid1.style.left='13';
    DBGrid1.style.top='191';
    DBGrid1.Columns.Add(Column1);
    DBGrid1.Columns.Add(Column2);
    DBGrid1.Columns.Add(Column3);
    DBGrid1.Columns.Auto = false;
    DBGrid1.DataSet=DataSet1;
    Column1.Name='Column1';
    Column1.DataField='PRODUCT_ID';
    Column1.Caption='NO.';
    Column1.width=150;
    Column2.Name='Column2';
    Column2.DataField='PRODUCT_NAME';
    Column2.Caption='Name';
    Column2.width=200;
    Column3.Name='Column3';
    Column3.DataField='PRODUCT_PRICE';
    Column3.Caption='Price';
    DBNavigator1.Name='DBNavigator1';
    DBNavigator1.style.height='27';
    DBNavigator1.style.width='658';
    DBNavigator1.style.position='absolute';
    DBNavigator1.style.left='12';
    DBNavigator1.style.top='154';
    DBNavigator1.DataSet=DataSet1;
    DBPageNavigator1.Name='DBPageNavigator1';
    DBPageNavigator1.style.height='39';
    DBPageNavigator1.style.width='654';
    DBPageNavigator1.style.position='absolute';
    DBPageNavigator1.style.left='13';
    DBPageNavigator1.style.top='456';
    DBPageNavigator1.DataSet=DataSet1;
    DataSet1.Open();
}
</SCRIPT>
